Eclipse Platform Release 3.7

## org.eclipse.help
Interface ICriteria

All Superinterfaces:
  IUAElement

    public interface ICriteria

extends IUAElement

A directive indicating the criteria information of a Toc or Topic described in xml

Since:
  3.5

Method Summary
`String` `getName()` Returns the name of the criteria element, e.g.
`String` `getValue()` Returns the value of the criteria element, e.g.

Methods inherited from interface org.eclipse.help.IUAElement
`getChildren, isEnabled`

Method Detail

### getName

    String getName()

  Returns the name of the criteria element, e.g. "Platform"

  Returns:
    the name of the criteria element

### getValue

    String getValue()

  Returns the value of the criteria element, e.g. "AIX,Windows"

  Returns:
    the value of the criteria element

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.